| Exiv2

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Exiv2::Internal::PanasonicMakerNote Class Reference

MakerNote for Panasonic cameras. More...

`#include <panasonicmn_int.hpp>`

## Static Public Member Functions
static const TagInfo * | tagList ()
| Return read-only list of built-in Panasonic tags.
static const TagInfo * | tagListRaw ()
| Return read-only list of built-in Panasonic RAW image tags (IFD0).

## Print functions for Panasonic MakerNote tags
static std::ostream & | print0x000f (std::ostream &os, const Value &value, const ExifData *)
| Print SpotMode.
static std::ostream & | print0x0023 (std::ostream &os, const Value &value, const ExifData *)
| Print WhiteBalanceBias.
static std::ostream & | print0x0029 (std::ostream &os, const Value &value, const ExifData *)
| Print TimeSincePowerOn.
static std::ostream & | print0x0033 (std::ostream &os, const Value &value, const ExifData *)
| Print Baby age.
static std::ostream & | print0x0036 (std::ostream &os, const Value &value, const ExifData *)
| Print Travel days.
static std::ostream & | print0x003c (std::ostream &os, const Value &value, const ExifData *)
| Print ISO.
static std::ostream & | printPressure (std::ostream &os, const Value &value, const ExifData *)
| Print Manometer Pressure.
static std::ostream & | printPanasonicText (std::ostream &os, const Value &value, const ExifData *)
| Print special text values: title, landmark, county and so on.
static std::ostream & | printAccelerometer (std::ostream &os, const Value &value, const ExifData *)
| Print accelerometer readings.
static std::ostream & | printRollAngle (std::ostream &os, const Value &value, const ExifData *)
| Print roll angle.
static std::ostream & | printPitchAngle (std::ostream &os, const Value &value, const ExifData *)
| Print pitch angle.

## Detailed Description

MakerNote for Panasonic cameras.

The documentation for this class was generated from the following files:

- panasonicmn_int.hpp
- panasonicmn_int.cpp